Emby Emby Emby Learn
  • Emby Home
  • Video
  • Audio
  • Media Files
    • Subtitles and captions
    • Photos and images
    • Metadata and discovery
    • Libraries and media collections
    • Playback and streaming
    • Media hardware acceleration
    • Displays and AV connections
    • Live TV and recording
  1. Emby Learn
  2. Networking and remote access
  3. Network performance
  4. Capacity and delivery quality
  5. Network jitter
Search Results for

    Show / Hide Table of Contents

    Network jitter and changing packet delay

    Network jitter is variation in packet delay under a specified metric, with reordering and deadline effects determined by the actual timing sequence.

    Equal-spaced sends need not arrive equally spaced. Waiting, contention and path behavior can change the delay from packet to packet.

    The word jitter needs a stated metric. Packet-delay variation, arrival-spacing variation and a tool’s smoothed estimator are not interchangeable numbers.

    Calculate delay before its variation

    Use this original common-clock trace:

    {
      "sendMs": [0, 20, 40, 60],
      "arrivalMs": [20, 45, 95, 87]
    }
    

    The one-way delays in send-sequence order are twenty, twenty-five, fifty-five and twenty-seven ms.

    Consecutive signed delay differences are +5, +30 and -28 ms. Under this exercise’s chosen mean-absolute-difference statistic, the result is twenty-one ms.

    The original delay trace shows variation and the fourth packet arriving before the third.

    That twenty-one-ms figure does not assert every tool called “jitter” would report the same statistic.

    Changing delay can reverse arrival order

    Packet three is sent at forty and arrives at ninety-five. Packet four is sent later, at sixty, but arrives earlier at eighty-seven.

    Reordering therefore occurs without either packet being absent. An ordered transport can retain the later sequence data until the earlier missing position arrives.

    Packet loss describes another observation; a late packet needs a defined threshold before it is counted as lost by a particular measurement.

    A larger target can absorb this declared variation

    Suppose a reduced playout model needs each packet at its send time plus fifty ms, with no other processing.

    The third deadline is ninety ms, but that packet arrives at ninety-five: five ms late. The other three pass their stated deadlines.

    Using fifty-five ms instead gives deadlines 55, 75, 95 and 115. All four arrivals meet them in this ideal model, including the third exactly at its boundary.

    The extra delay improves tolerance to this trace. It also increases the chosen playout delay; it does not accelerate arrival.

    A real media pipeline needs decode, buffering and usable-entry-point margins too. Exact boundary arrival is not a safe universal operating target.

    Keep the clock and selection rule with the number

    A one-way variation measurement needs meaningful endpoint timing. A statistic also needs the selected packets, interval and treatment of missing/late entries.

    A whole-test average can hide brief delay excursions. The maximum delay in this four-packet trace is fifty-five ms while its average is 31.75.

    See Also

    • Network latency, delay components and round trips
    • Packet loss, recovery and media deadlines
    • Buffering, ready media and playback reserve
    • Measuring the actual streaming delivery path

    References

    • RFC 3393: IP packet delay variation
    • RFC 7679: One-way delay metric
    • RFC 2330: IP performance metrics framework
    On this Page
    2026 © EMBY LLC. Please see our terms of use and privacy policy.
    Back to Top